/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011, Red Hat, Inc. and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jdiameter.api.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation allows set child object to command / group avp and
 * set value to simple avp
 */
@Retention(RetentionPolicy.RUNTIME)
@Target( {ElementType.CONSTRUCTOR,ElementType.METHOD})
public @interface Setter {
  /**
   * This enumeration defines for what Avp (known/not known) is used setter
   */
  enum Type {
    /**
     * For known avp
     */
    DEFINED,
    /**
     * For unknown avp
     */
    UNDEFINED
  }
  
  /**
   * Return  type of setter
   * @return type of setter
   */
  Type value() default Type.DEFINED;
}